org.apache.ignite.internal.processors.datastructures

## Interface GridCacheAtomicReferenceEx<T>

All Superinterfaces:
  AutoCloseable, Closeable, GridCacheRemovable, IgniteAtomicReference<T>

All Known Implementing Classes:
  GridCacheAtomicReferenceImpl

    public interface GridCacheAtomicReferenceEx<T>
    extends GridCacheRemovable, IgniteAtomicReference<T>

Atomic reference managed by cache (`'Ex'` stands for external).

### Method Summary

All Methods Instance Methods Abstract Methods
`GridCacheInternalKey` `key()` Get current atomic reference key.

### Methods inherited from interface org.apache.ignite.internal.processors.datastructures.GridCacheRemovable

`needCheckNotRemoved, onRemoved, restart, suspend`

### Methods inherited from interface org.apache.ignite.IgniteAtomicReference

`close, compareAndSet, get, name, removed, set`

### Method Detail

#### key

    GridCacheInternalKey key()

Get current atomic reference key.

Returns:
  Atomic reference key.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018